Skip to main content
`Ctrl`+`K`

# PetscObjectListDuplicate

Creates a new list from a given object list.

## Synopsis

    PetscErrorCode PetscObjectListDuplicate(PetscObjectList fl, PetscObjectList *nl)

No Fortran Support

## Input Parameter

- fl - pointer to list

## Output Parameter

- nl - the new list (should point to `NULL` to start, otherwise appends)

## See Also

`PetscObjectListDestroy()`, `PetscObjectListAdd()`, `PetscObjectListReverseFind()`, `PetscObjectListFind()`, `PetscObjectList`

## Level

developer

## Location

src/sys/objects/olist.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages